﻿################################################################################
## Initialization
################################################################################

init offset = 1

define config.has_autosave = True
define config.developer = True
screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):

        fixed:

            order_reverse True

            ## Buttons to access other pages.
            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.05

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")

                ## range(1, 10) gives the numbers from 1 to 9.
                for page in range(1, 10):
                   textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()

            ## The page name, which can be edited by clicking on a button.
            button:

                style "page_label"

                key_events True
                xalign 0.5
                yalign 0.0
                action page_name_value.Toggle()

                input:

                    style "page_label_text"
                    value page_name_value

            ## The grid of file slots.
            #large scrollable pages           
            vpgrid cols gui.file_slot_cols:
                mousewheel True
                arrowkeys True
                draggable True
                scrollbars "vertical"
                side_xalign 0.0
                ypos 450
                ymaximum 770
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range(1 * 99):

                    $ slot = i + 1

                    button:
                        action FileAction(slot)

                        has vbox

                        add FileScreenshot(slot) xalign 0.5

                        text FileTime(slot, format=_("{#file_time}%m / %d / %Y, %H:%M"), empty=_("Empty Slot")):
                            style "slot_time_text"

                        text FileSaveName(slot):
                            style "slot_name_text"

                        key "save_delete" action FileDelete(slot)
                        
                        #key "save_rename" action [SetVariable("save_name",""), get_save_name_new(slot)] 
          
            ## named saves
            if title == "Save":
                hbox:

                    xalign 0.0
                    yalign 1.05
                    xoffset -50

                    spacing gui.page_spacing
                    text "{size=-5}Save name {/size}"
                    frame:
                        xminimum 256
                        yminimum 38
                        xmaximum 385
                        input:
                            xoffset 5
                            size 23
                            default "[save_name]"
                            value VariableInputValue('save_name')
                            length 30
